#!/bin/bash

# Script de sincronizacin de imgenes contra el servidor central
#
# Primero se compara la fecha de actualizacin de la mquina local
# con la fecha de actualizacin del repositorio del servidor y si varia
# se resincronizan el resto de directorios y se actualiza la fecha.

OPCIONES="-avrc --delete --progress"
SERVIDOR="leonov.andared.cec.junta-andalucia.es"
SINCRONIZA=0

if [ -f /var/lib/sir/ultima_actualizacion/fecha.txt ]
then
	#Comparamos los archivos
	rsync ${OPCIONES} ${SERVIDOR}::ultima_actualizacion /tmp/ultima_actualizacion
	FECHA_LOCAL=`cat /var/lib/sir/ultima_actualizacion/fecha.txt`
	FECHA_REMOTA=`cat /tmp/ultima_actualizacion/fecha.txt`
	#Si la fecha local no es mayor o igual que la remota sincronizamos
	test $FECHA_LOCAL -ge $FECHA_REMOTA
	SINCRONIZA=$?
else
	SINCRONIZA=1
fi

if [ "$SINCRONIZA" -eq "1" ]
then
	rsync ${OPCIONES} ${SERVIDOR}::var_lib_systemimager_scripts /var/lib/sir/scripts/
	UNO=$?
	rsync ${OPCIONES} ${SERVIDOR}::tftpboot /var/lib/sir/tftpboot/
	DOS=$?
	rsync ${OPCIONES} ${SERVIDOR}::var_lib_systemimager_images_gl2004-act1 /var/lib/sir/imagenes/guadalinex2004-act1-wifi
	TRES=$?
	rsync ${OPCIONES} ${SERVIDOR}::var_lib_systemimager_images_gl2004-act1-toshiba2 /var/lib/sir/imagenes/guadalinex2004-act1-toshiba2
	CUATRO=$?
	rsync ${OPCIONES} ${SERVIDOR}::var_lib_systemimager_images_gl2 /var/lib/sir/imagenes/Samsung-x05_gl2_video
	CINCO=$?

	if [ "$UNO" -eq "0" ] && [ "$DOS" -eq "0" ] && [ "$TRES" -eq "0" ] && [ "$CUATRO" -eq "0" ] && [ "$CINCO" -eq "0" ]
	then
		rsync ${OPCIONES} ${SERVIDOR}::ultima_actualizacion /var/lib/sir/ultima_actualizacion
	fi
fi
